<template>

  <div class="main-contain">
    <div class="position">
      <bread-crumb v-if="type == 1" :crumbs='crumbs'></bread-crumb>
      <bread-crumb v-if="type == 2" :crumbs='crumbs2'></bread-crumb>

      <div style="float:right;">
        <el-button size="small" @click="back()" class="filter-item">取 消</el-button>
        <el-button size="small" type="primary" @click="submit()" class="filter-item">保 存</el-button>
        <el-button size="small" type="primary" v-show="showCheck" @click="toCheck()" class="filter-item">审 核</el-button>
        <!-- <el-button size="small" type="primary" v-show="showReturnCheck" @click="toReturnCheck()" class="filter-item">反 审 核</el-button> -->
      </div>
    </div>
    <div class="app-container" v-loading="loading">

      <stock-in-dialog ref="dialog" :propForm="propForm"
                       :visibility="isVisibility"
                       v-on:dialog-comfirm="comfirm"
                       v-on:dialog-cancle="cancle">
      </stock-in-dialog>


      <div class="cell clearfix">
         <label class="title"><span class="name"><span style="color:red">*</span>仓库</span> :</label>
         <el-select size="small" v-model="storehouse_id" filterable placeholder="请选择仓库" style="width:200px">
              <el-option
                v-for="(option, index) in list"
                :key="index"
                :label="option.storehouse_name"
                :value="option.id">
              </el-option>
           </el-select>
        <label class="title"><span class="name">入库时间</span> : </label>
        <el-date-picker size="small" v-model="warehousing_time" prefix-icon="el-icon-date" :editable="false"
                        style="width: 196px;" type="date" placeholder="选择日期时间" align="right" format="yyyy-MM-dd"
                        value-format="yyyy-MM-dd"></el-date-picker>
      </div>


      <el-form :rules="tableRules" :model="recordInfo" ref="tableForm">
        <el-table id="oictable" :data="recordInfo.recordData" :class="signAndWeighBoxPatients" border
                  style="width: 100%"
                  max-height="450" :header-cell-style="{ backgroundColor: 'rgb(245, 247, 250)'}"
        >
          <el-table-column align="center" width="200" fixed="left">
             <template slot="header" slot-scope="scope">
              <span>耗材名称</span>
            </template>
            <template slot-scope="scope">
                <el-autocomplete
                    class="checkSearch"
                    popper-class="my-autocomplete"
                    v-model="scope.row.good_name"
                    :fetch-suggestions="querySearchAsync"
                    :trigger-on-focus="true"
                    placeholder="请输入耗材名称"
                    @select="handleSelect"
                    @input="changeGoodName(scope.$index)"
                    style="width:160px;"
                  >
                    <i class="el-icon-search el-input__icon" slot="suffix"></i>
                  <template slot-scope="{ item }">
                    <div class="name">{{ item.good_name +"  " +item.specification_name + "  "+item.manufacturer }}</div>
                  </template>
                 </el-autocomplete>
            </template>
          </el-table-column>
          <el-table-column align="center" width="140">

            <template slot="header" slot-scope="scope">
              <span>耗材类型<span style="color: red">*</span></span>
            </template>

            <template slot-scope="scope">
              <el-form-item style="padding-top: 20px;">
                <el-input placeholder="请输入耗材类型" v-model="scope.row.good_type_id" :value="typeName(scope.row.good_type_id)"></el-input>
              </el-form-item>
            </template>
          </el-table-column>
          <el-table-column align="center" width="140">

            <template slot="header" slot-scope="scope">
              <span>规格&单位<span style="color: red">*</span></span>
            </template>
            <template slot-scope="scope">

              <el-form-item style="padding-top: 20px">
                <el-input placeholder="请输入规格名称" v-model="scope.row.name"></el-input>
              </el-form-item>

            </template>
          </el-table-column>

          <el-table-column align="center" width="150">
            <template slot="header" slot-scope="scope">
              <span>批号<span style="color: red">*</span></span>
            </template>
            <template slot-scope="scope">
              <el-form-item style="padding-top: 20px" :prop="'recordData.' + scope.$index + '.number'"
                            :rules='tableRules.number' >
                <el-input placeholder="请输入批号" v-model="scope.row.number"></el-input>
              </el-form-item>
            </template>
          </el-table-column>


          <el-table-column align="center" width="120">
            <template slot="header" slot-scope="scope">
              <span>入库数量<span style="color: red">*</span></span>
            </template>
            <template slot-scope="scope">
              <el-form-item :prop="'recordData.' + scope.$index + '.warehousing_count'"
                            :rules='tableRules.warehousing_count' style="padding-top: 20px">
                <el-input placeholder="请输入入库数量" type="number" v-model="scope.row.warehousing_count"  oninput="value=value.replace(/\D|^0/g,'')"></el-input>
                <!-- <el-input placeholder="请输入入库数量" v-model="scope.row.warehousing_count"></el-input> -->
                  {{scope.row.min_unit}}
              </el-form-item>

            </template>
          </el-table-column>

          <el-table-column align="center" width="120">
            <template slot="header" slot-scope="scope">
              <span>零售价<span style="color: red">*</span></span>
            </template>
            <template slot-scope="scope">

              <el-form-item :prop="'recordData.' + scope.$index + '.packing_price'" :rules='tableRules.packing_price'
                            style="padding-top: 20px">
                <el-input placeholder="请输入单价" type="number" v-model="scope.row.packing_price"></el-input>
              </el-form-item>


            </template>
          </el-table-column>
          <el-table-column align="center" width="120">
            <template slot="header" slot-scope="scope">
              <span>进货单价<span style="color: red">*</span></span>
            </template>
            <template slot-scope="scope">

              <el-form-item :prop="'recordData.' + scope.$index + '.price'" :rules='tableRules.price'
                            style="padding-top: 20px">
                <el-input placeholder="请输入单价" type="number" v-model="scope.row.price"></el-input>
              </el-form-item>


            </template>
          </el-table-column>

          <el-table-column label="总价" align="center" width="80">
            <template slot-scope="scope">
              {{calculate(scope.row.price*scope.row.warehousing_count)}}
            </template>
          </el-table-column>
          <el-table-column  align="center" width="180">
            <template slot="header" slot-scope="scope">
              <span>有效日期<span style="color: red">*</span></span>
            </template>
            <template slot-scope="scope">
              <el-form-item  :prop="'recordData.' + scope.$index + '.expiry_date'"
                :rules="tableRules.expiry_date">
                <el-date-picker prefix-icon="el-icon-date" style="width: 145px" v-model="scope.row.expiry_date"
                                type="date" placeholder="选择日期时间" format="yyyy-MM-dd"
                                value-format="yyyy-MM-dd">
                </el-date-picker>
             </el-form-item>
            </template>
          </el-table-column>


          <el-table-column label="生产日期" align="center" width="180">
            <template slot-scope="scope">
              <el-date-picker prefix-icon="el-icon-date" v-model="scope.row.product_date" style="width: 145px"
                              type="date" placeholder="选择日期时间" format="yyyy-MM-dd"
                              value-format="yyyy-MM-dd">
              </el-date-picker>

            </template>
          </el-table-column>

         <el-table-column label="生产厂家" align="center" width="150">
             <template slot-scope="scope">
               <el-select size="small" v-model="scope.row.manufacturer" filterable placeholder="请选择厂商">
                <el-option
                  v-for="(option, index) in manufacturerList"
                  :key="index"
                  :label="option.manufacturer_name"
                  :value="option.id">
                </el-option>
               </el-select>
            </template>
          </el-table-column>

         <el-table-column align="center" width="150">
            <template slot="header" slot-scope="scope">
              <span>批准文号</span>
            </template>
            <template slot-scope="scope">
              <el-form-item style="padding-top: 20px">
                <el-input placeholder="请输入批准文号" v-model="scope.row.license_number" ></el-input>
              </el-form-item>
            </template>
          </el-table-column>
         <el-table-column align="center" width="150">
            <template slot="header" slot-scope="scope">
              <span>注册编码</span>
            </template>
            <template slot-scope="scope">
              <el-form-item style="padding-top: 20px">
                <el-input placeholder="请输入注册编码" v-model="scope.row.register_number" ></el-input>
              </el-form-item>
            </template>
          </el-table-column>
           <el-table-column label="经销商" align="center" width="150">
             <template slot-scope="scope">
               <el-select size="small" v-model="scope.row.dealer" filterable placeholder="请选择厂商">
                <el-option
                  v-for="(option, index) in dealerList"
                  :key="index"
                  :label="option.dealer_name"
                  :value="option.id">
                </el-option>
               </el-select>
            </template>
          </el-table-column>

          <el-table-column label="备注" align="center" width="150">
            <template slot-scope="scope">
              <el-input placeholder="请输入备注" v-model="scope.row.remark"></el-input>
            </template>
          </el-table-column>

          <el-table-column label="操作" align="center" fixed="right" width="150">
            <template slot-scope="scope">
              <el-tooltip class="item" effect="dark" content="新增" placement="top">

                <el-button
                  size="mini"
                  type="primary"
                  icon="el-icon-circle-plus-outline"
                  @click="handleEdit(scope.$index, scope.row)">
                </el-button>
              </el-tooltip>
              <el-tooltip class="item" effect="dark" content="删除" placement="top">

                <el-button
                  size="mini"
                  type="danger"
                  icon="el-icon-delete"
                  @click="handleDelete(scope.$index, scope.row)">
                </el-button>
              </el-tooltip>

            </template>
          </el-table-column>

        </el-table>
      </el-form>


    </div>
  </div>

</template>

<script>
  import stockInDialog from './Dialog/stockInDialog'
  import { uParseTime } from '@/utils/tools'
 import {getDataConfig } from "@/utils/data";
  import {
    deleteWarehouseInfo,
    GetAllConfig,
    GetAllGoodInfo,
    GetAllGoodInfoByID,
    GetAllGoodType,
    getWarehouseInfoByOrdeNumber,
    modifyWarehouseInfo,
    postWarehouse,
    postSearchGoodList,
    toCheckWarehouseInfo,
    toReturnCheckWarehouseInfo
  } from '@/api/stock'
  import BreadCrumb from '../components/bread-crumb'

  export default {
    components: { BreadCrumb, stockInDialog },
    name: 'stockIn',

    data() {
      var checkGoodId = (rule, value, callback) => {
        setTimeout(() => {
          if (value == '' || value == 0) {
            return callback(new Error('规格名称不能为空'))
          }
        }, 2000)
      }

      return {
        crumbs: [
          { path: false, name: '库存管理' },
          { path: false, name: '耗材入库单' },
          { path: false, name: '新增入库单' }
        ],
        crumbs2: [
          { path: false, name: '库存管理' },
          { path: false, name: '其他入库单' },
          { path: false, name: '新增入库单' }
        ],
        signAndWeighBoxPatients: 'sign-and-weigh-box-patients',
        warehousing_time: '',
        adminUserOptions: null,
        currentIndex: 0,

        recordInfo: {
          recordData: [],
          stock_in_code: '',
          current_index: ''

        },
        tableRules: {
          price: [
            { required: true, message: '单价不能为空', trigger: 'blur' }
          ],
          packing_price: [
            { required: true, message: '零售价不能为空', trigger: 'blur' }
          ],
          warehousing_count: [
            { required: true, message: '数量不能为空', trigger: 'blur' }
          ],

          good_id: [
            { validator: checkGoodId, trigger: 'blur' }
          ],
          number:[
            { required: true, message: '批号不能为空', trigger: 'blur' }
          ],
          expiry_date:[
            { required: true, message: '有效日期不能为空', trigger: 'blur' }
          ],

        },
        type: this.$route.query.type,
        total: '',
        product_date: '',
        expiry_date: '',
        numbers: '',

        // prop
        isVisibility: false,
        propForm: {
          goods: [],
          goodType: [],
          goodInfo: [],
          goodUnit: [],
          title: '入库',
          formValue: {
            good_type_id: '',
            good_id: '',
            number: '',
            product_date: '',
            expiry_date: '',
            warehousing_count: '',
            price: '',
            remark: '',
            dealer: '',
            manufacturer: ''

          },
          isCreated: 1

        },

        goodInfo: {
          loading: false,
          goodTypeData: [],
          type_code: ''
        },
        form: {
          manufacturer: '',
          dealer: ''
        },

        formValue: {
          good_type_id: '',
          good_id: '',
          number: '',
          product_date: '',
          expiry_date: '',
          warehousing_count: '',
          price: '',
          remark: '',
          dealer: '',
          manufacturer: ''

        },

        manufacturer: [],
        dealerList: [],
        goodType: [],
        manufacturerList:[],
        goodList:[],
        loading:false,
        list:[],
        storehouse_id:"",
        showCheck:false,
        showReturnCheck:false,
        warehousing_info_id:0,
      }
    },
    methods: {
      handleSave: function() {
        if (this.recordInfo.recordData.length <= 0) {
          this.$message.error('请添加入库信息')
          return
        }
        sessionStorage.removeItem('warehousing_orders')
        this.$router.back(-1)
      }, handleCancle: function() {
        this.$confirm('是否放弃编辑返回上一页?', '放弃编辑', {
          confirmButtonText: '确定',
          cancelButtonText: '取消',
          type: 'warning'
        }).then(() => {
          sessionStorage.removeItem('warehousing_orders')
          this.$router.back(-1)
        }).catch(() => {

        })
      }, handleCreate: function() {

        this.propForm.formValue = {}
        this.propForm.isCreated = 1
        this.isVisibility = true
      },
       comfirm: function(val) {
        this.propForm.goodType = []
        this.propForm.goods = []

        this.$refs.dialog.hide()
        console.log(val)
        if (val.selectedGoodInfo.length > 0) {
          for (let i = val.selectedGoodInfo.length - 1; i >= 0; i--) {
            if (i == 0) {
              this.recordInfo.recordData[this.currentIndex].good_type_id = val.selectedGoodInfo[i].good_type_id
              this.recordInfo.recordData[this.currentIndex].good_id = val.selectedGoodInfo[i].id
              this.recordInfo.recordData[this.currentIndex].price = val.selectedGoodInfo[i].buy_price.toString()
              this.recordInfo.recordData[this.currentIndex].good_unit = val.selectedGoodInfo[i].good_unit
              this.recordInfo.recordData[this.currentIndex].good_name = val.selectedGoodInfo[i].good_name
            } else {
              const tempForm = {}
              tempForm['good_type_id'] =val.selectedGoodInfo[i].good_type_id
              tempForm['good_id'] = val.selectedGoodInfo[i].id
              tempForm['number'] = ''
              tempForm['product_date'] = ''
              tempForm['expiry_date'] = ''
              tempForm['warehousing_count'] = ''
              tempForm['price'] = val.selectedGoodInfo[i].buy_price.toString()
              tempForm['remark'] = ''
              tempForm['dealer'] = ''
              tempForm['manufacturer'] = ''
              tempForm['good_unit'] = val.selectedGoodInfo[i].good_unit
              tempForm['good_name'] = val.selectedGoodInfo[i].good_name
              this.recordInfo.recordData.splice(this.currentIndex + 1, 0, tempForm)
            }
          }
        }

        this.currentIndex = -1
      }, cancle: function() {
        this.propForm.goodType = []
        this.propForm.goods = []
        this.$refs.dialog.hide()
      },
      GetAllGoodType: function() {
        GetAllGoodType().then(response => {
          if (response.data.state == 0) {
            this.$message.error(response.data.msg)
            return false
          } else {
            for (let i = 0; i < response.data.data.goodType.length; i++) {
              this.propForm.goodType.push(response.data.data.goodType[i])
            }
          }
        })
      },
      GetAllGoodInfo: function() {
        GetAllGoodInfo().then(response => {
          if (response.data.state == 0) {
            this.$message.error(response.data.msg)
            return false
          } else {
            for (let i = 0; i < response.data.data.goodInfo.length; i++) {
              this.propForm.goodInfo.push(response.data.data.goodInfo[i])
            }
          }
        })
      },
      GetConfigInfo: function() {
        const loading = this.$loading({
          lock: true,
          text: 'Loading',
          spinner: 'el-icon-loading',
          background: 'rgba(0, 0, 0, 0.7)'
        })

        GetAllConfig().then(response => {
          if (response.data.state == 0) {
            this.$message.error(response.data.msg)
            return false
          } else {
            this.manufacturer = response.data.data.manufacturer
            this.dealer = response.data.data.dealer
            this.goodType = response.data.data.goodType
            this.goodInfo = response.data.data.goodInfo
            this.manufacturer.splice(0, 0, { id: 0, manufacturer_name: '全部' })
            this.dealer.splice(0, 0, { id: 0, dealer_name: '全部' })
            this.manufacturer.splice(0, 0, { id: -1, manufacturer_name: '其他' })
            this.dealer.splice(0, 0, { id: -1, dealer_name: '其他' })
            this.form.manufacturer = 0
            this.form.dealer = 0
            this.list = response.data.data.list
            this.storehouse_id = response.data.data.configlist.storehouse_info
          }
          loading.close()

        })
      }, typeName: function(good_type_id) {
        let name = ''
        for (let i = 0; i < this.goodType.length; i++) {
          if (this.goodType[i].id == good_type_id) {
            name = this.goodType[i].type_name
          }
        }
        return name
      }, specificationName: function(good_info_id) {

        let name = ''
        for (let i = 0; i < this.goodInfo.length; i++) {
          if (this.goodInfo[i].id == good_info_id) {
            name = this.goodInfo[i].specification_name
          }
        }
        return name
      },
      handleEdit: function(index, row) {
        const tempObj = {}
        tempObj['good_type_id'] = 0
        tempObj['good_id'] = 0
        tempObj['number'] = ''
        tempObj['product_date'] = ''
        tempObj['expiry_date'] = ''
        tempObj['warehousing_count'] = ''
        tempObj['price'] = ''
        tempObj['remark'] = ''
        tempObj['dealer'] = ''
        tempObj['manufacturer'] = ''
        tempObj['good_unit'] = ''
        tempObj['specification_name'] = ''
        tempObj['name'] = ''
        tempObj['license_number'] = ""
        tempObj["packing_price"] = ""
        tempObj["id"] = 0
        tempObj['register_number'] = ''
        this.recordInfo.recordData.push(tempObj)
      }, handleDelete: function(index, row) {
        if (this.recordInfo.recordData.length <= 1) {
          this.$message.error('只有一条记录的时候无法删除')
          return
        } else {
          this.recordInfo.recordData.splice(index, 1)
        }
      }, calculate: function(val) {
        if (val == 0) {
          return ''
        }
        return Math.round(parseFloat(val) * 100) / 100
      },
      GetWarehouseInfoByOrdeNumber: function() {
        const params = {
          'warehousing_order': sessionStorage.getItem('warehousing_orders')
        }
        this.recordInfo.recordData = []
        getWarehouseInfoByOrdeNumber(params).then(response => {
          if (response.data.state != 0) {

            for (let i = 0; i < response.data.data.info.length; i++) {
              this.recordInfo.recordData.push(response.data.data.info[i])
            }
            console.log("333333333",this.recordInfo.recordData)
          }
        })
      }, getTime(val, temp) {
        if (val != 0) {
          return uParseTime(val, temp)
        } else {
          return ''
        }
      },
      showDialog(index, row) {
        const loading = this.$loading({
          lock: true,
          text: 'Loading',
          spinner: 'el-icon-loading',
          background: 'rgba(0, 0, 0, 0.7)'
        })
        this.currentIndex = index
        this.isVisibility = true
        const params = {
          manufacturer_id: this.form.manufacturer,
          dealer_id: this.form.dealer
        }
        this.propForm.goods = []

        GetAllGoodInfoByID(params).then(response => {
            if (response.data.state == 0) {
              this.$message.error(response.data.msg)
              return false
              loading.close()

            } else {
              loading.close()

              if (response.data.data.goodInfo.length <= 0) {
                this.$message.error('该厂商或经销商没有物品信息')
                return
              }
              this.$refs.dialog.show()
              for (let i = 0; i < response.data.data.goodInfo.length; i++) {
                this.propForm.goodType.push(response.data.data.goodInfo[i].type)
              }
              const obj = {}
              this.propForm.goodType = this.propForm.goodType.reduce((cur, next) => {
                obj[next.id] ? '' : obj[next.id] = true && cur.push(next)
                return cur
              }, []) // 设置cur默认类型为数组，并且初始值为空的数组
            }

            for (let i = 0; i < this.propForm.goodType.length; i++) {
              let goodInfo = []
              let goodObj = {}

              for (let a = 0; a < response.data.data.goodInfo.length; a++) {
                var respObj = response.data.data.goodInfo[a]
                respObj['isSelected'] = false
                if (respObj.type.id == this.propForm.goodType[i].id) {
                  goodInfo.push(respObj)
                }
              }
              const obj = {}
              goodInfo = goodInfo.reduce((cur, next) => {
                obj[next.id] ? '' : obj[next.id] = true && cur.push(next)
                return cur
              }, []) // 设置cur默认类型为数组，并且初始值为空的数组

              this.$set(goodObj, this.propForm.goodType[i].id, goodInfo)
              this.propForm.goods.push(goodObj)

            }
            console.log( this.propForm.goods)
          }
        )
      },
      getSummaries(param) {
        const { columns, data } = param
        const sums = []
        columns.forEach((column, index) => {
          if (index === 0) {
            sums[index] = '总价'
            return
          }
          const values = data.map(item => Number(item[column.property]))
          if (!values.every(value => isNaN(value))) {
            sums[index] = values.reduce((prev, curr) => {
              const value = Number(curr)
              if (!isNaN(value)) {
                return prev + curr
              } else {
                return prev
              }
            }, 0)
            sums[index] += ' 元'
          } else {
            sums[index] = 'N/A'
          }
        })

        return sums
      }
      ,
      back() {
        this.$router.go(-1)
      }
      ,
      submit() {
        this.$refs['tableForm'].validate((valid) => {
          if (valid) {
            this.loading = true
            const array = this.recordInfo.recordData
            if(this.storehouse_id == 0){
              this.$message.error("仓库不能为空!")
              return
            }
            for (let i = 0; i < array.length; i++) {
              if (array[i].good_type_id == 0) {
                this.$message.error('商品类型不能为空')
                return
              }
              array[i].price = array[i].price.toString()
              array[i].packing_price = array[i].packing_price.toString()
            }

            if(this.recordInfo.recordData.length <= 0){
              this.$message.success('请添加入库商品')
              return
            }

            for(let i=0;i<this.recordInfo.recordData.length;i++){
             if(this.recordInfo.recordData[i].dealer == ""){
                this.recordInfo.recordData[i].dealer = 0
             }
              for(let j=0;j<this.manufacturerList.length;j++){
                 if(this.recordInfo.recordData[i].manufacturer == this.manufacturerList[j].manufacturer_name){

                  this.recordInfo.recordData[i].manufacturer = this.manufacturerList[j].id
                 }
              }
            }

            for(let i=0;i<this.recordInfo.recordData.length;i++){
              for(let j=0;j<this.dealerList.length;j++){
                 if(this.recordInfo.recordData[i].dealer == this.dealerList[j].dealer_name){
                    this.recordInfo.recordData[i].dealer = this.dealerList[j].id
                 }
              }
              this.recordInfo.recordData[i].warehousing_count = this.recordInfo.recordData[i].warehousing_count.toString()
            }
            const loading = this.$loading({
              lock: true,
              text: 'Loading',
              spinner: 'el-icon-loading',
              background: 'rgba(0, 0, 0, 0.7)'
            })
            const params = {
              'stockIn': this.recordInfo.recordData
            }
            console.log("param232232323232323w",params)
   
            postWarehouse(params, this.warehousing_time, this.type,this.storehouse_id,this.warehousing_info_id).then(response => {
              if (response.data.state == 0) {
                this.loading = false
                this.$message.error(response.data.msg)
                loading.close()
                return false
              } else {
                loading.close()
                this.loading = false
                this.$message.success('保存成功')
                var list = response.data.data.list
                console.log("list2332323323",list)
                var dealerList = response.data.data.dealerList
                var manufacturerList = response.data.data.manufacturerList
                var info =  response.data.data.info
                this.warehousing_info_id  = info.id
                for(let i=0;i<list.length;i++){
                  for(let j=0;j<dealerList.length;j++){
                     if(list[i].dealer == dealerList[i].id){
                        list[i].dealer = dealerList[i].dealer_name
                     }
                  }
                  for(let s=0;s<manufacturerList.length;s++){
                    if(list[i].manufacturer == manufacturerList[s].id){
                       list[i].manufacturer = manufacturerList[s].manufacturer_name
                    }
                  }
                  list[i].expiry_date = this.getTimeOne(list[i].expiry_date)
                  list[i].product_date = this.getTimeOne(list[i].product_date)
                  list[i].good_name = list[i].GoodInfo.good_name
                  list[i].name = list[i].GoodInfo.specification_name +"/"+ list[i].GoodInfo.packing_unit
                }
                this.recordInfo.recordData = []
                this.recordInfo.recordData = list
                this.showCheck = true
                // this.$router.back(-1)
              }
            })
          } else {
            return false
          }
        })
      }
      ,
      changeManufacturer(val) {

      },
      changeDealer(val) {

      },
      getDataConfig(module, filed_name){
         return getDataConfig(module, filed_name)
       },
      querySearchAsync(keyword, cb) {
        let key = '';
        if (keyword != undefined) {
          key = keyword
        }
        postSearchGoodList(key,this.storehouse_id).then(response => {
          if (response.data.state == 1) {

             var list = response.data.data.list

             this.goodList = list
             var manufacturerList = response.data.data.manufacturerList
             this.manufacturerList = manufacturerList
             var dealer =  response.data.data.dealerList
             this.dealerList = dealer
             for(let i=0;i<this.goodList.length;i++){
                for(let j=0;j<this.manufacturerList.length;j++){
                  if(this.goodList[i].manufacturer == this.manufacturerList[j].id){
                     this.goodList[i].manufacturer = this.manufacturerList[j].manufacturer_name
                  }
                }
             }

             for(let i=0;i<this.goodList.length;i++){
               for(let j=0;j<this.dealerList.length;j++){
                  if(this.goodList[i].dealer == this.dealerList[j].id){
                    this.goodList[i].dealer = this.dealerList[j].dealer_name
                  }
               }
             }

             cb(this.goodList)
          } else {
            cb([])
          }
        })
      },
      changeGoodName(val){
        this.currentIndex = val
      },
      handleSelect(val){
        console.log("al32323232323223",val)
         for(let i=0;i<this.recordInfo.recordData.length;i++){
           if(this.currentIndex == i){
              this.recordInfo.recordData[i].id = 0
              this.recordInfo.recordData[i].good_type_id = val.id
              this.recordInfo.recordData[i].good_name = val.good_name
              this.recordInfo.recordData[i].good_type_id = val.good_type_id
              this.recordInfo.recordData[i].name = val.specification_name +"/"+val.packing_unit

              this.recordInfo.recordData[i].manufacturer = val.manufacturer
              this.recordInfo.recordData[i].remark = val.remark
              this.recordInfo.recordData[i].license_number = val.number
              this.recordInfo.recordData[i].register_number = val.register_number
              if(val.buy_price == 0){
               this.recordInfo.recordData[i].price = ""
              }else{
                this.recordInfo.recordData[i].price = val.buy_price
              }

              if(val.packing_price == 0){
               this.recordInfo.recordData[i].packing_price = ""
              }else{
                this.recordInfo.recordData[i].packing_price = val.packing_price
              }

              this.recordInfo.recordData[i].specification_name = val.specification_name
              this.recordInfo.recordData[i].good_id = val.id
              this.recordInfo.recordData[i].packing_unit = val.packing_unit
              if(val.dealer == 0){
                this.recordInfo.recordData[i].dealer = ""
              }else{
                this.recordInfo.recordData[i].dealer = val.dealer
              }

           }
         }
      },
     getTimeOne(val) {
        if(val < 0){
          return ""
        }
        if(val == ""){
        return ""
        }else {
        return uParseTime(val, '{y}-{m}-{d}')
        }
     },
     toCheck(){
        const loading = this.$loading({
          lock: true,
          text: 'Loading',
          spinner: 'el-icon-loading',
          background: 'rgba(0, 0, 0, 0.7)'
        })

        var params = {
          warehousing_info_id:this.warehousing_info_id,
        }
       toCheckWarehouseInfo(params).then(response=>{
          if(response.data.state == 1){
            var list = response.data.data.list
            this.$message.success("审核成功!")
            this.showCheck = false
            this.showReturnCheck = true
            this.$router.back(-1)
            loading.close()
          }else{
            this.$message.error("审核失败")
            loading.close()
          }
       })
     },
     toReturnCheck(){
       const loading = this.$loading({
          lock: true,
          text: 'Loading',
          spinner: 'el-icon-loading',
          background: 'rgba(0, 0, 0, 0.7)'
        })
       var params = {
          warehousing_info_id:this.warehousing_info_id,
        }
       toReturnCheckWarehouseInfo(params).then(response=>{
          if(response.data.state == 1){
             var list = response.data.data.list
             this.$message.success("反审核成功!")
             this.showCheck = true
             this.showReturnCheck = false
             loading.close()
             this.$router.back(-1)
          }else{
            this.$message.error("反审核失败!")
            loading.close()
          }
       })
     }
    }
    ,
    created() {
      var nowDate = new Date()
      var nowYear = nowDate.getFullYear()
      var nowMonth = nowDate.getMonth() + 1
      var nowDay = nowDate.getDate()
      this.warehousing_time =
        nowYear +
        '-' +
        (nowMonth < 10 ? '0' + nowMonth : nowMonth) +
        '-' +
        (nowDay < 10 ? '0' + nowDay : nowDay)
      const tempObj = {}
      tempObj['good_type_id'] = 0
      tempObj['good_id'] = 0
      tempObj['number'] = ''
      tempObj['product_date'] = ''
      tempObj['expiry_date'] = ''
      tempObj['warehousing_count'] = ''
      tempObj['price'] = ''
      tempObj['remark'] = ''
      tempObj['dealer'] = ''
      tempObj['manufacturer'] = ''
      tempObj['good_unit'] = ''
      tempObj['good_name'] = ''
      tempObj['specification_name'] = ''
      tempObj['name'] = ''
      tempObj['license_number'] = ''
      tempObj['packing_price']= ''
      tempObj['id']= 0
      tempObj['register_number'] = ''
      this.recordInfo.recordData.push(tempObj)
      this.GetConfigInfo()
      this.propForm.goodUnit = this.$store.getters.good_unit
    }

  }
</script>

<style>
  #oictable ::-webkit-scrollbar {
    height: 15px;
  }
</style>

<style rel="stylesheet/css" lang="scss" scoped>
  .information {
    border: 1px #dcdfe6 solid;
    padding: 30px 20px 30px 20px;

  .border {
    border-bottom: 1px #dcdfe6 solid;
    margin: 0px 0 20px 0;
  }

  }

  .edit_separater {
    border-top: 1px solid rgb(233, 233, 233);
    margin-top: 15px;
    margin-bottom: 15px;
  }


</style>

<style>
  .sign-and-weigh-box .sign-and-weigh-box-patients .cell {
    font-size: 12px;
  }

  .sign-and-weigh-box .sign-and-weigh-box-patients .current-row > td {
    background: #6fb5fa;
  }
  .el-autocomplete-suggestion{
    width: 400px !important;
  }


</style>
